Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA_2_3.portable
Class OutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.omg.CORBA.portable.OutputStream
                  |
                  +--org.omg.CORBA_2_3.portable.OutputStream

Direct Known Subclasses:
  CDROutputStream, ListOutputStream, LocalOutputStream

public abstract class OutputStream
extends OutputStream

Constructor Summary
`OutputStream()`

Method Summary
`void` | `write_abstract_interface(java.lang.Object object)`
`void` | `write_value(java.io.Serializable value)`
`void` | `write_value(java.io.Serializable value, BoxedValueHelper factory)`
`void` | `write_value(java.io.Serializable value, java.lang.Class clz)`
`void` | `write_value(java.io.Serializable value, java.lang.String rep_id)`

Methods inherited from class org.omg.CORBA.portable.OutputStream
`create_input_stream, orb, write_any, write_boolean_array, write_boolean, write_char_array, write_char, write_Context, write_double_array, write_double, write_fixed, write_fixed, write_float_array, write_float, write_long_array, write_long, write_longlong_array, write_longlong, write_Object, write_octet_array, write_octet, write_Principal, write_short_array, write_short, write_string, write_TypeCode, write_ulong_array, write_ulong, write_ulonglong_array, write_ulonglong, write_ushort_array, write_ushort, write_wchar_array, write_wchar, write_wstring, write`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStream

    public OutputStream()

Method Detail

### write_value

    public void write_value(java.io.Serializable value)

### write_value

    public void write_value(java.io.Serializable value,
                            java.lang.String rep_id)

### write_value

    public void write_value(java.io.Serializable value,
                            java.lang.Class clz)

### write_value

    public void write_value(java.io.Serializable value,
                            BoxedValueHelper factory)

### write_abstract_interface

    public void write_abstract_interface(java.lang.Object object)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD